const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Buru',
    'Kabupaten Buru Selatan',
    'Kabupaten Kepulauan Aru',
    'Kabupaten Maluku Barat Daya',
    'Kabupaten Maluku Tengah',
    'Kabupaten Maluku Tenggara',
    'Kabupaten Seram Bagian Barat',
    'Kabupaten Seram Bagian Timur',
    'Kota Ambon',
    'Kota Tual',
    'Kabupaten Maluku Tenggara Barat'

    // 11
];

exports.seedMalukuCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Maluku' },
    });

    if (!province) {
        console.error('❌ Province Maluku not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Maluku City seeded!.');
};